<div class="card o-hidden border-0 shadow-lg ">
    <div class="card-body p-0">
        <!-- Nested Row within Card Body -->
        <div class="row">
            <div class="col-lg-12">
                <div class="p-5">
                    <div *ngIf="_mensaje" class="alert {{ styleMensaje }}" role="alert">
                      {{ _mensaje }}
                    </div>

                    <div class="text-center">
                        <h1 class="h4 text-gray-900 mb-4">Crear Usuario</h1>
                    </div>
                    <form class="user" #formUsuario="ngForm" (ngSubmit)="onGuardar()">
                        <div class="form-group row">
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <input type="text" class="form-control form-control-user" placeholder="Digitar Cédula" required="" name="cedula" [(ngModel)]="_usuario.cedula">
                            </div>
                            <div class="col-sm-6">
                                <input type="text" class="form-control form-control-user" placeholder="Digitar Nombres" required="" name="nombres" [(ngModel)]="_usuario.nombres">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <input type="text" class="form-control form-control-user" placeholder="Digitar Apellidos" required="" name="apellidos" [(ngModel)]="_usuario.apellidos">
                            </div>
                            <div class="col-sm-6">
                                <input type="email" class="form-control form-control-user" placeholder="Email" required="" name="email" [(ngModel)]="_usuario.email">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <input type="password" class="form-control form-control-user" placeholder="Password" required="" name="password" [(ngModel)]="_usuario.password">
                            </div>
                            <div class="col-sm-6">
                                <input type="text" class="form-control form-control-user" placeholder="Celular" required="" name="celular" [(ngModel)]="_usuario.celular">
                            </div>
                        </div>
                        <div class="form-group">
                            <select class="form-control" required="" name="rol_id" [(ngModel)]="_usuario.rol_id">
                                <option value='' selected="" >Seleccionar Rol</option>
                                <option value='1'>Secretaria</option>
                                <option value='2'>Profesor(a)</option>
                                <option value='3'>Alumno(a)</option>
                            </select>
                        </div>
                        <button class="btn btn-primary btn-user btn-block" [disabled]='!formUsuario.form.valid'>Guardar</button>
                    </form>

                </div>
            </div>
        </div>
    </div>
</div>